%define upstream_name    Filter-signatures
%define upstream_version 0.19

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Very simplistic signatures for Perl < 5.20
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Filter/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Filter::Simple) >= 0.910.0
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::Balanced)
BuildArch:  noarch

%description
This module implements a backwards compatibility shim for formal Perl
subroutine signatures that were introduced to the Perl core with Perl 5.20.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Tue Aug 29 2023 tv <tv> 0.190.0-1.mga10
+ Revision: 1980968
- update to 0.19

* Mon Mar 21 2022 umeabot <umeabot> 0.170.0-2.mga9
+ Revision: 1813330
- Mageia 9 Mass Rebuild

* Mon Oct 05 2020 tv <tv> 0.170.0-1.mga8
+ Revision: 1632224
- update to 0.17

* Tue Sep 29 2020 tv <tv> 0.160.0-1.mga8
+ Revision: 1631053
- imported package perl-Filter-signatures

